/** 令牌响应 */
export interface TokenResponse {
  /** 认证令牌 */
  token: string
}

/** 退出登录响应 */
export interface LogoutResponse {
  /** 是否成功 */
  success: boolean
}

/** 短信发送响应 */
export interface SmsSendResponse {
  /** 发送状态 */
  success: boolean
  /** 错误信息 */
  errMsg?: string
}

/** 登录数据 */
export interface LoginData {
  /** 用户头像 */
  face_img: string
  /** 登录状态 */
  success: boolean
  /** 用户性别 */
  sex: string
  /** 用户姓名 */
  name: string
  /** 用户ID */
  userid: string
  /** 是否已注册 */
  registered: boolean
  /** 联系电话 */
  tel: string
}

/** 获取令牌参数 */
export type GetTokenParams = {
  /** 应用名称 */
  appName: string
}

/** 微信二维码参数 */
export type WechatQrCodeParams = {
  /** 认证令牌 */
  token: string
}

/** 短信验证参数 */
export type VerifySmsParams = {
  /** 认证令牌 */
  token: string
  /** 手机号码 */
  tel: string
  /** 验证码 */
  vcode: string
  userid: string
  openid: string
}

export interface BindQyUserCommand {
  qyUserId: number;
  name: string;
  idNum: string;
}