export interface SubmitApprovalRequestData {
  orderGoodsId: number
  returnQuantity: number
  returnImages: string
  returnRemark: string
  corpid: string
  applyUserid: string
}

export interface HandleApprovalRequestData {
  /** 审批ID */
  approvalId: number
  /** 审批状态 */
  status: number
  returnAmount: number
  auditImages: string
  auditRemark: string
  userid: string
  corpid: string
  auditUserid: string
}

export interface SearchApiReturnApprovalQuery {
  pageNum: number
  pageSize: number
  approvalId?: number
  orderId?: number
  goodsId?: number
  status?: number
  startTime?: string
  endTime?: string
  approvalType?: number
  corpid?: string
}

export interface ApiResponsePageData<T> {
  code: number
  msg: string
  data: {
    total: number
    rows: T[]
  }
}

export interface ReturnApprovalEntity {
  /** 审批编号 */
  approvalId: number
  /** 关联订单ID */
  orderId: number
  /** 关联商品ID */
  goodsId: number
  /** 关联订单商品ID */
  orderGoodsId: number
  /** 外部归属类型的商品ID */
  externalGoodsId?: number
  /** 外部归属类型的审批ID */
  externalApprovalId?: number
  /** 企业微信id */
  corpid?: string
  applyUserid?: string
  auditUserid?: string
  /** 申请数量 */
  applyQuantity?: number
  /** 审批类型（0为借还柜 1为固资通） */
  approvalType?: number
  /** 申请说明 */
  applyRemark?: string
  /** 归还数量 */
  returnQuantity: number
  /** 商品单价 */
  goodsPrice: number
  /** 退还金额 */
  returnAmount: number
  /** 归还图片路径数组 */
  returnImages: string
  /** 审核图片路径数组 */
  auditImages: string
  /** 归还说明 */
  returnRemark: string
  /** 审核说明 */
  auditRemark: string
  /** 审批状态(1待审核 2已通过 3已驳回) */
  status: number
  /** 审批时间 */
  approvalTime?: string
  createTime: string
  updateTime: string
  /** 商品名称 */
  goodsName: string
  /** 封面图URL */
  coverImg: string
  /** 手机号 */
  mobile: string
  /** 用户id */
  userid: string
  /** 用户姓名 */
  name: string
  /** 是否内部用户（0否 1汇邦云用户 2企业微信用户） */
  isInternal: number
  /** 审核人姓名 */
  auditName: string
  /** 支付方式 */
  paymentMethod?: string
}

export type SubmitApprovalResponseData = ApiResponseMsgData<{
  approvalId: number
  status: number
}>